App\Entity\UserContact:
    constraints:
        - App\Validator\Constraints\OneDefaultContact:
            message: 'Only one contact can be set as default per user.'
    properties:
        fullName:
            - NotBlank:
                message: "Full name is required."
            - Length:
                max: 255
                maxMessage: "Full name cannot exceed 255 characters."
        telephone:
            - NotBlank:
                message: "Telephone is required."
            # - Regex:
            #     pattern: "/^\+?[0-9]{10,15}$/"
            #     message: "Telephone must be a valid phone number with 10 to 15 digits."
        createdAt:
            - NotNull:
                message: "Created at is required."
        user:
            - NotNull:
                message: "A user must be associated with this contact."
